<!DOCTYPE html>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Consume REST service</title>
    </head>
    <body>
        <h1>Reading REST services</h1>
        <h2>Using curl</h2>
        <p>curl is very general, but requires some configuration.<br />
            curl can be used with GET, POST, PUT, DELETE, etc.</p>
        <?php
        $uri = "http://anbo.cloudapp.net/Service1.svc/books/1";
        $client = curl_init($uri);
        curl_setopt($client, CURLOPT_RETURNTRANSFER, true); // default: false, curl_exec returns true/false

        $response = curl_exec($client);
        curl_close($client);

        $convertToAssociativeArray = true;
        $arr = json_decode($response, $convertToAssociativeArray);
        print_r($arr);
        echo "<br />";
        echo "title: " . $arr['Title'] . "<br />";
        echo "publisher: " . $arr['Publisher'] . "<br />";
        ?>

        <h2>Using file_get_contents</h2>  
        <p>file_get_contents is simple, no configuration required.<br />
            file_get_contents can only be used with GET.</p>
        <?php
        $jsondata = file_get_contents($uri);
        $arr = json_decode($jsondata, $convertToAssociativeArray);
        echo "title: " . $arr['Title'] . "<br />";
        echo "publisher: " . $arr['Publisher'] . "<br />";
        echo "authors: ";
        print_r($arr["Authors"]);
        echo "<br />";
        echo $arr["Authors"][0];
        ?>
    </body>
</html>
